Author Topic: Does a Powermac G5 run old VSTs?  (Read 194 times)

Offline smilesdavis

  • Newbie
  • Posts: 39
  • new to the site
Does a Powermac G5 run old VSTs?
« on: July 31, 2022, 12:23:59 PM »
hi there knowledgeable folks

so i need to get to run steinberg mastering edition v1.0 (1999) and quadrafuzz v1.0 (1998) Cubase VST and Compatible (logic pro).

is there a way to get them to run on the latest G5 quad core 2.5 stable?

can anyone test this for me?

much appreciated

Offline ehma

  • Newbie
  • Posts: 8
  • new to the site
Re: Does a Powermac G5 run old VSTs?
« Reply #1 on: July 31, 2022, 05:37:18 PM »
For quad-core stability, I know it can be problematic, but mostly noisy. I have a dual-core G5, and it is often noisy when I have to do calculations.
Anyway, it's still quieter than the G4 MDD

Pay attention, G5 is not compatible OS9 at all ! It just host a session.

But as I see the CD requirements, if I were you, I would use a G4 Powerbook or just a G3 B&W. You don't really need such powerful machine, and it will be more safe with a true compatible OS9 machine

Offline smilesdavis

  • Newbie
  • Posts: 39
  • new to the site
Re: Does a Powermac G5 run old VSTs?
« Reply #2 on: August 01, 2022, 03:16:02 AM »
i know all that but what i still dont know
someone with a G5 is there a way to get
those working in say logic 32 bit?
thanks for testing

Offline ehma

  • Newbie
  • Posts: 8
  • new to the site
Re: Does a Powermac G5 run old VSTs?
« Reply #3 on: August 01, 2022, 04:01:55 AM »
I've never tried to do this, but the G5's classic mode can only be emulated. So in classic mode, no direct access to the hardware (which audio applications always need). So I assume you plan to use Logic in OS X.

For compatibility between Classic and OS X the application must be written in carbon, as I see the age of the application it is not.

Alas, I'm afraid it doesn't work.

Sorry.

Offline ehma

  • Newbie
  • Posts: 8
  • new to the site
Re: Does a Powermac G5 run old VSTs?
« Reply #4 on: August 01, 2022, 04:11:37 AM »
I forgot to mention that I've already tried using vst OS Classic plugins in the OS X version of Cubase (SX3 with a G4) and it didn't work at all. Cubase crashed as soon as it discovered the plugin.

Offline smilesdavis

  • Newbie
  • Posts: 39
  • new to the site
Re: Does a Powermac G5 run old VSTs?
« Reply #5 on: August 01, 2022, 04:48:54 AM »
thank you
im experiencing the same behaviour with
the win vst versions with jbridge in patchwork in pro tools 12.5 sadly

i got myself a g4 waiting for the mix core and farm cards

so i can send audio and automation data from pro tools rig 1 win 10 via hdx to sync io to 192 via legacy port to mix core on a g4 running logic in dae mode

i hope**** this works